############################ Niche overlap high frequencies Periurban Areas ##################################
library(EcoSimR)
periurban1<- read.csv("periurban1.csv", row.names=1)
periurban1 <- niche_null_model(periurban1, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(periurban1)
plot(periurban1, type="hist")

periurban2<- read.csv("periurban2.csv", row.names=1)
periurban2 <- niche_null_model(periurban2, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(periurban2)
plot(periurban2, type="hist")

periurban3<- read.csv("periurban3.csv", row.names=1)
periurban3 <- niche_null_model(periurban3, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(periurban3)
plot(periurban3, type="hist")

periurban4<- read.csv("periurban4.csv", row.names=1)
periurban4 <- niche_null_model(periurban4, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(periurban4)
plot(periurban4, type="hist")

periurban5<- read.csv("periurban5.csv", row.names=1)
periurban5 <- niche_null_model(periurban5, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(periurban5)
plot(periurban5, type="hist")

periurban6<- read.csv("periurban6.csv", row.names=1)
periurban6 <- niche_null_model(periurban6, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(periurban6)
plot(periurban6, type="hist")

periurban7<- read.csv("periurban7.csv", row.names=1)
periurban7 <- niche_null_model(periurban7, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(periurban7)
plot(periurban7, type="hist")

periurban8<- read.csv("periurban8.csv", row.names=1)
periurban8 <- niche_null_model(periurban8, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(periurban8)
plot(periurban8, type="hist")

periurban9<- read.csv("periurban9.csv", row.names=1)
periurban9 <- niche_null_model(periurban9, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(periurban9)
plot(periurban9, type="hist")

periurban1<- read.csv("periurban1.csv", row.names=1)
periurban1 <- niche_null_model(periurban1, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(periurban1)
plot(periurban1, type="hist")

###################################Niche overlap modules from Periurban Areas ##########################################

rm(list= ls())
M<- read.csv("per1i.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per1iii.csv", row.names=1)
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per1iv.csv", row.names=1)
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per2ii.csv", row.names=1)
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per2iv.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per2v.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per2vi.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per3ii.csv", row.names=1)
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per3iii.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per3iv.csv", row.names=1)
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per3v.csv", row.names=1)
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per4i.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per4ii.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per4iii.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per4iv.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per4v.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per5i.csv", row.names=1)
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per5ii.csv", row.names=1)
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per5iii.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per5iv.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per5v.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per6i.csv", row.names=1)
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per6ii.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per6iii.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per6iv.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per7i.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per7ii.csv", row.names=1)
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per7iii.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per7iv.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per7v.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per8i.csv", row.names=1)
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per8ii.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per8iii.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per8iv.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per8v.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per9i.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per9ii.csv", row.names=1) ##OJO
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per9iii.csv", row.names=1)
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("per9iv.csv", row.names=1)
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")
