############################ Niche overlap high frequencies urban Areas ##################################
library(EcoSimR)
urban1<- read.csv("urban1.csv", row.names=1)
urban1 <- niche_null_model(urban1, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(urban1)
plot(urban1, type="hist")

urban2<- read.csv("urban2.csv", row.names=1)
urban2 <- niche_null_model(urban2, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(urban2)
plot(urban2, type="hist")

urban4<- read.csv("urban4.csv", row.names=1)
urban4 <- niche_null_model(urban4, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(urban4)
plot(urban4, type="hist")

urban5<- read.csv("urban5.csv", row.names=1)
urban5 <- niche_null_model(urban5, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(urban5)
plot(urban5, type="hist")

urban6<- read.csv("urban6.csv", row.names=1)
urban6 <- niche_null_model(urban6, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(urban6)
plot(urban6, type="hist")

urban7<- read.csv("urban7.csv", row.names=1)
urban7 <- niche_null_model(urban7, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(urban7)
plot(urban7, type="hist")

urban9<- read.csv("urban9.csv", row.names=1)
urban9 <- niche_null_model(urban9, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(urban9)
plot(urban9, type="hist")

################################### Niche overlap modules from urban Areas ##########################################

rm(list= ls())
M<- read.csv("urb1i.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("urb1ii.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("urb1iii.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("urb2i.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("urb4i.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("urb5i.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("urb6i.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("urb6ii.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")

rm(list= ls())
M<- read.csv("urb9i.csv", row.names=1) 
M <- niche_null_model(M, algo = "ra3", metric = "czekanowski", nReps = 1000, saveSeed = FALSE, algoOpts = list(), metricOpts = list(), suppressProg = FALSE)
summary(M)
plot(M, type="hist")